Skip to main content
POST
/
prices
/
{app_id}
cURL
curl --request POST \
  --url https://api.example.com/prices/{app_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 2,
  "currency": "<string>",
  "trigger_id": "<string>",
  "trigger_data": {
    "params_data": {}
  },
  "kyc_id": "<string>",
  "metadata": {},
  "name": "<string>"
}
'
import requests

url = "https://api.example.com/prices/{app_id}"

payload = {
    "amount": 2,
    "currency": "<string>",
    "trigger_id": "<string>",
    "trigger_data": { "params_data": {} },
    "kyc_id": "<string>",
    "metadata": {},
    "name": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    amount: 2,
    currency: '<string>',
    trigger_id: '<string>',
    trigger_data: {params_data: {}},
    kyc_id: '<string>',
    metadata: {},
    name: '<string>'
  })
};

fetch('https://api.example.com/prices/{app_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "kyc_id": "<string>",
  "trigger_id": "<string>",
  "currency": "<string>",
  "amount": 123,
  "metadata": {},
  "name": "<string>",
  "expired": true,
  "views": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "contract": "<string>",
  "chain": "<string>"
}

Path Parameters

app_id
string
required

Body

application/json
amount
number
Required range: x >= 1
currency
string
Maximum string length: 5
currency_conversion
object
trigger_id
string
trigger_data
object
type
enum<string>
Available options:
static,
dynamic
kyc_id
string
metadata
object
name
string
Maximum string length: 256

Response

201 - application/json
id
string
required
type
enum<string>
required
Available options:
static,
dynamic
kyc_id
string | null
required
trigger_id
string | null
required
currency
string
required
amount
number
required
metadata
object | null
required
name
string | null
required
expired
boolean
required
views
number
required
network_type
enum<string>
required
Available options:
mainnet,
testnet
created_at
string<date-time>
required
updated_at
string<date-time>
required
contract
string
chain
string
category
enum<string>
Available options:
payment,
bid,
auction